// BlueIO_CommLogDoc.cpp : implementation of the CBlueIO_CommLogDoc class
//

#include "stdafx.h"
#include "BlueIO_CommLog.h"

#include "BlueIO_CommLogDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CBlueIO_CommLogDoc

IMPLEMENT_DYNCREATE(CBlueIO_CommLogDoc, CDocument)

BEGIN_MESSAGE_MAP(CBlueIO_CommLogDoc, CDocument)
END_MESSAGE_MAP()


// CBlueIO_CommLogDoc construction/destruction

CBlueIO_CommLogDoc::CBlueIO_CommLogDoc()
{
	// TODO: add one-time construction code here
	m_pDevice = NULL;
}

CBlueIO_CommLogDoc::~CBlueIO_CommLogDoc()
{
	if (m_pDevice)
		CloseDevice();
}

BLUEIO_DEVICE_HANDLE CBlueIO_CommLogDoc::OpenDevice(LPCSTR pDeviceName)
{
	if (m_pDevice)
		CloseDevice();
	m_pDevice = BlueIO_Device_Open(hBlueIO_lib, pDeviceName);
	return m_pDevice;
}

void CBlueIO_CommLogDoc::CloseDevice()
{
	if (m_pDevice)
		BlueIO_Device_Close(m_pDevice);
	m_pDevice = NULL;
}

BOOL CBlueIO_CommLogDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}




// CBlueIO_CommLogDoc serialization

void CBlueIO_CommLogDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// CBlueIO_CommLogDoc diagnostics

#ifdef _DEBUG
void CBlueIO_CommLogDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CBlueIO_CommLogDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CBlueIO_CommLogDoc commands
