// MainFrm.h : interface of the CMainFrame class
//


#pragma once

class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	CDialogBar	m_wndCollectBar;

protected:  // control bar embedded members
	CToolBar    m_wndToolBar;

// Generated message map functions
protected:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnUpdateGetStatus(CCmdUI *pCmdUI);
	afx_msg void OnGetStatus();
	afx_msg void OnUpdateSetMeasPeriod(CCmdUI *pCmdUI);
	afx_msg void OnSetMeasPeriod();
	afx_msg void OnSearchforbluetoothdevices();
	afx_msg void OnInitMenuPopup(CMenu* pPopupMenu, UINT nIndex, BOOL bSysMenu);
	afx_msg void OnDevice0();
	afx_msg void OnDevice1();
	afx_msg void OnDevice2();
	afx_msg void OnDevice3();
	afx_msg void OnDevice4();
	afx_msg void OnDevice5();
	afx_msg void OnDevice6();
	afx_msg void OnDevice7();

	void OnDeviceN(unsigned int N);

protected:
	int m_timerId;
	bool m_bIsCollectingMeasurements;
public:
	virtual BOOL DestroyWindow();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnUpdateStartMeas(CCmdUI *pCmdUI);
	afx_msg void OnStartMeas();
	afx_msg void OnUpdateStopMeas(CCmdUI *pCmdUI);
	afx_msg void OnStopMeas();
	afx_msg void OnUpdateGreen(CCmdUI *pCmdUI);
	afx_msg void OnGreen();
	afx_msg void OnUpdateRed(CCmdUI *pCmdUI);
	afx_msg void OnRed();
	afx_msg void OnUpdateOrange(CCmdUI *pCmdUI);
	afx_msg void OnOrange();
	afx_msg void OnUpdateLedOff(CCmdUI *pCmdUI);
	afx_msg void OnLedOff();
	afx_msg void OnUpdateLedBlink(CCmdUI *pCmdUI);
	afx_msg void OnLedBlink();
	afx_msg void OnUpdateChannelAltimeter(CCmdUI *pCmdUI);
	afx_msg void OnChannelAltimeter();
	afx_msg void OnUpdateChannelAccely(CCmdUI *pCmdUI);
	afx_msg void OnChannelAccely();
	afx_msg void OnUpdateChannelAccelx(CCmdUI *pCmdUI);
	afx_msg void OnChannelAccelx();
	afx_msg void OnUpdateChannelAccelz(CCmdUI *pCmdUI);
	afx_msg void OnChannelAccelz();
	afx_msg void OnUpdateChannelCombinedforce(CCmdUI *pCmdUI);
	afx_msg void OnChannelCombinedforce();
};


