// BlueIO_CommLogDoc.h : interface of the CBlueIO_CommLogDoc class
//


#pragma once

#include "BlueIO_lib_interface.h"

class CBlueIO_CommLogDoc : public CDocument
{
protected: // create from serialization only
	CBlueIO_CommLogDoc();
	DECLARE_DYNCREATE(CBlueIO_CommLogDoc)

// Attributes
public:
	BLUEIO_DEVICE_HANDLE GetOpenDevicePtr() { return m_pDevice; }

// Operations
public:
	BLUEIO_DEVICE_HANDLE OpenDevice(LPCSTR pDeviceName);
	void CloseDevice();

// Operations
public:

// Overrides
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);

// Implementation
public:
	virtual ~CBlueIO_CommLogDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	BLUEIO_DEVICE_HANDLE m_pDevice;

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};


