// BlueIO_MeasureView.h : interface of the CBlueIO_MeasureView class
//


#pragma once


class CBlueIO_MeasureView : public CView
{
protected: // create from serialization only
	CBlueIO_MeasureView();
	DECLARE_DYNCREATE(CBlueIO_MeasureView)

// Attributes
public:
	CBlueIO_MeasureDoc* GetDocument() const;
	void SetGraphHistory(double y_min, double y_max)
	{
		graph_history_y_min = y_min;
		graph_history_y_max = y_max;
	}
	void GetGraphHistory(double &y_min, double &y_max)
	{
		y_min = graph_history_y_min;
		y_max = graph_history_y_max;
	}

// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:

// Implementation
public:
	virtual ~CBlueIO_MeasureView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	double graph_history_y_min;
	double graph_history_y_max;

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in BlueIO_MeasureView.cpp
inline CBlueIO_MeasureDoc* CBlueIO_MeasureView::GetDocument() const
   { return reinterpret_cast<CBlueIO_MeasureDoc*>(m_pDocument); }
#endif

